@import "sass-essentials";

.form-item--datelist {
  .form-item__inner {
    display: flex;
    flex-wrap: wrap;
    flex-direction: row;
    justify-content: space-between;
  }
  .form-item {
    flex: 0 1 48%;
    margin-bottom: 25px;
  }
}

.form-item--datetime {
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  .form-item__label {
    width: 100%;
    // This should be only be used form-specific!
    // flex: 0 0 70px;
    // margin-bottom: 0;
  }
  .form-item__inner {
    display: flex;
    flex-wrap: wrap;
    flex: 1 0 100%;
    justify-content: space-between;
    > * {
      flex: 0 1 auto;
      width: 48%;
      margin-bottom: 0;
      &:last-child {
        margin-bottom: 0;
      }
    }
  }
}

.ui-datepicker {
  /* Rectangle 2 Copy 12: */
  background: #FFF;
  border: 1px solid #4D4D4D;
  box-shadow: 1px 1px 2px 0 rgba(0,0,0,0.34);
  border-radius: 19px;
  padding: 0.4rem 2rem;
  z-index: 2!important;
  width: auto !important;
}

// Hide the left and right arrows.
.ui-datepicker-prev,
.ui-datepicker-next {
  display: none;
}

.ui-datepicker-calendar {
  text-align: center;
  border-collapse: collapse;
  thead {
    display: none;
  }
  td {
    padding: 2.5px 1.5px;
  }
  a {
    text-decoration: none;
    color: #4D4D4D;
    background: #DDD;
    border: 1px solid #DDD;
    width: 35px;
    height: 30px;
    display: inline-block;
    border-radius: 5px;
    font-size: 16px;
    transition: all 0.2s ease;
    text-align: center !important;
    &:hover,
    &:focus {
      color: #4D4D4D;
      background: #DDD;
      text-decoration: none;
      border-color: #4D4D4D;
    }
  }
}

.ui-datepicker-title {
  margin-bottom: 26px;
  display: flex;
  > * {
    flex: 1 1 auto;
    &:nth-child(2) {
      margin-left: 20px;
    }
  }
}
